---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: export-reviews
  namespace: faas
  labels:
    app: export-reviews
    service: export-reviews
spec:
  replicas: 1
  selector:
    matchLabels:
      app: export-reviews
  template:
    metadata:
      labels:
        app: export-reviews
        service: export-reviews
    spec:
      containers:
        - name: api
          image: cr.yandex/crp3ccidau046kdj8g9q/export-reviews:prod_c4cae4ee
          imagePullPolicy: IfNotPresent
          ports:
            - name: http
              containerPort: 8000
              protocol: TCP
          env:
            - name: BASE_HOST
              value: https://sarex.contour.infra.sarex.tech
            - name: DJANGO_HOST
              value: https://sarex.contour.infra.sarex.tech
            - name: REVIEWS_HOST
              value: https://sarex.contour.infra.sarex.tech/flows
            - name: GATEWAY_HOST
              value: https://sarex.contour.infra.sarex.tech/gateway
            - name: DOCUMENTATIONS_HOST
              value: https://sarex.contour.infra.sarex.tech/documentations
            - name: EAV_HOST
              value: http://backend-svc.eav.svc.cluster.local:80
            - name: TRANSMITTALS_INTERNAL_HOST
              value: http://transmittal-service.transmittal.svc.cluster.local:80/internal/v1
            - name: DJANGO_TIMEOUT
              value: "180"
            - name: REVIEWS_TIMEOUT
              value: "180"
            - name: GATEWAY_TIMEOUT
              value: "60"
            - name: DOCUMENTATIONS_TIMEOUT
              value: "60"
            - name: EAV_TIMEOUT
              value: "30"
            - name: TRANSMITTALS_TIMEOUT
              value: "30"
            - name: TIMEOUT
              value: "180"

          resources:
            requests:
              cpu: "25m"
              memory: 128Mi
      imagePullSecrets:
        - name: regcred
